Install nginx:
  pkg.installed:
    - name: nginx

configure www configuration:
  file.managed:
    - name: /etc/nginx/vhosts.d/www.conf
    - source: salt://nginx/files/www.conf
    - template: jinja
    - user: root
    - group: root
    - mode: "0644"

Start nginx:
  service.running:
    - name: nginx
      enable: True
