install net-tools:
  pkg.installed:
    - name: net-tools

configure bin/wol:
  file.managed:
    - name: /home/{{ pillar['username'] }}/bin/wol
    - source: salt://wol/files/wol.jinja
    - template: jinja
    - user: {{ pillar['username'] }}
    - group: users
    - mode: "0755"
